//
//  Reference.m
//  react-native-bt-device
//
//  Created by Ran Zhao on 9/2/24.
//

#import "Reference.h"

@implementation Reference

- (instancetype)initWithValue:(double)value time:(NSDate *)time {
    self = [super init];
    if (self) {
        self.value = value;
        self.time = time;
        self.index = 0; // 默认为0
    }
    return self;
}

- (instancetype)initWithValue:(double)value index:(int)index {
    self = [super init];
    if (self) {
        self.value = value;
        self.index = index;
        self.time = nil; // 默认为nil
    }
    return self;
}



@end
